[Bug 1543280] Re: Synaptic fails with "W: Can't drop privileges for downloading as file '/root/.synaptic/tmp//tmp_sh' couldn't be accessed by user '_apt'. - pkgAcquire::Run (13: Permission denied)"

i2000s 1543280 at bugs.launchpad.net
Sun May 1 21:34:25 UTC 2016


*** This bug is a duplicate of bug 1522675 ***
    https://bugs.launchpad.net/bugs/1522675

I also got this error. After changing the permission of the partial
folder, I still cannot download the mscorefonts.  Error message below:

```
Failure to download extra data files

The following packages requested additional data downloads after package
installation, but the data could not be downloaded or could not be
processed.

ttf-mscorefonts-installer

The download will be attempted again later, or you can try the download again now.  Running this command requires an active Internet connection.
E: Failed to fetch http://downloads.sourceforge.net/corefonts/andale32.exe  Connection failed

E: Download Failed
Setting up ttf-mscorefonts-installer (3.4+nmu1ubuntu2) ...
```


I can download the font package from internet without any problem, but
not from terminal. BTW, I am actually using Linux kernel 4.6.0-rc5, if
it matters. Thanks.

-- 
You received this bug notification because you are a member of Ubuntu
Foundations Bugs, which is subscribed to aptitude in Ubuntu.
https://bugs.launchpad.net/bugs/1543280

Title:
  Synaptic fails with "W: Can't drop privileges for downloading as file
  '/root/.synaptic/tmp//tmp_sh' couldn't be accessed by user '_apt'. -
  pkgAcquire::Run (13: Permission denied)"

Status in aptitude package in Ubuntu:
  Confirmed

Bug description:
  Fails on all sorts of Xenial package installs.

  Please update this ticket with manual fix for this, to facilitate
  Xenial testing.

  Thanks.
  __________

  Two simple examples...

  1) aptitude changelog apt > /dev/null

  2) echo 'ttf-mscorefonts-installer msttcorefonts/accepted-mscorefonts-eula select true' | debconf-set-selections
       apt-get -yqq install ttf-mscorefonts-installer
  ___________

  There are several bugs related to this problem. None have a fix
  specified + all are opened against random packages, rather than
  aptitude.

  Several of these bugs have been closed saying problem is fixed in apt-1.1.2 + above which is incorrect.
  ___________

  lsb_release -a
  No LSB modules are available.
  Distributor ID:	Ubuntu
  Description:	Ubuntu Xenial Xerus (development branch)
  Release:	16.04
  Codename:	xenial

  apt-get --version
  apt 1.1.10 (amd64)
  Supported modules:
  *Ver: Standard .deb
  *Pkg:  Debian dpkg interface (Priority 30)
   Pkg:  Debian APT solver interface (Priority -1000)
   S.L: 'deb' Debian binary tree
   S.L: 'deb-src' Debian source tree
   Idx: Debian Source Index
   Idx: Debian Package Index
   Idx: Debian Translation Index
   Idx: Debian dpkg status file
   Idx: Debian deb file
   Idx: Debian dsc file
   Idx: Debian control file
   Idx: EDSP scenario file

  aptitude --version
  aptitude 0.7.4 compiled at Dec  9 2015 19:30:45
  Compiler: g++ 5.3.1 20151207
  Compiled against:
    apt version 5.0.0
    NCurses version 6.0
    libsigc++ version: 2.6.2
    Gtk+ support disabled.
    Qt support disabled.

  Current library versions:
    NCurses version: ncurses 6.0.20151024
    cwidget version: 0.5.17
    Apt version: 5.0.0

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/aptitude/+bug/1543280/+subscriptions



More information about the foundations-bugs mailing list